if (isEyeInWater == 1) {

	float skyLightMap =pow2(lightmap.y) * (3.0 - 2.0 * lightmap.y);
	      shadow     *=NoL;
	      albedo.rgb  =GetCaustics(albedo.rgb, worldPos.xyz, cameraPosition.xyz, shadow, skyLightMap, lightmap.x);
}
